## sphinxcontrib-docbookrestapi 0.1

=== requirements.txt ===
pytidylib>=0.2.1

=== debian/changelog ===
sphinxcontrib-docbookrestapi (0.1-1ubuntu1) trusty; urgency=medium

  * Add missing build-deps on python-pbr and openstack-pkg-tools.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Dec 2013 17:06:13 -0700

sphinxcontrib-docbookrestapi (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #731219)

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Dec 2013 22:45:02 +0800

=== debian/control ===
Source: sphinxcontrib-docbookrestapi
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~), python-tidylib, python-pbr, openstack-pkg-tools
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-sphinxcontrib-docbookrestapi.git
Vcs-Git: git://anonscm.debian.org/openstack/python-sphinxcontrib-docbookrestapi.git
Homepage: https://pypi.python.org/pypi/sphinxcontrib-docbookrestapi

Package: python-sphinxcontrib-docbookrestapi
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-tidylib, ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Description: generating REST API documentation for http://api.openstack.org
 This extension to Sphinx make it possible to generate REST API documentation
 for the OpenStack API as described in the official API web site at
 http://api.openstack.org/

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/stackforge/sphinxcontrib-docbookrestapi.git
-include /usr/share/openstack-pkg-tools/pkgos.make

ifdef VERSION
export OSLO_PACKAGE_VERSION=$(VERSION)
endif

%:
	dh $@ --buildsystem=python_distutils --with python2

## sphinxcontrib-docbookrestapi 0.2.1

=== requirements.txt ===
docutils==0.9.1
pytidylib6
sphinx>=1.1.2,<1.2

=== debian/changelog ===
sphinxcontrib-docbookrestapi (0.2.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT, changed to default value

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Drop transition packages. (Closes: #878977)
  * Clean-ups in debian/rules.
  * Clean-ups in debian/control.
  * Standards-Version is now 4.1.1.
  * Switched to debhelper 10.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Oct 2017 19:28:01 +0200

sphinxcontrib-docbookrestapi (0.2.1-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS: setup.cfg: OSError: [Errno 2] No such file or directory
      (Closes: #752971).
  * Now build-depends on openstack-pkg-tools and the include in debian/rules is
    now mandatory.
  * Rename the package as python-sphinxcontrib.docbookrestapi, as it should
    have been to respect the Python namespace (sorry for this mistake... :( ).
  * Added unit testing.
  * Fixed wrong VCS URLs.
  * Added pytidylib6 into debian/pydist-overrides

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Jun 2014 07:42:19 +0000

sphinxcontrib-docbookrestapi (0.1-2) unstable; urgency=medium

  * Adds missing build-depends: python-pbr (Closes: #738427).
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Dec 2013 23:38:30 +0800

=== debian/control ===
Source: sphinxcontrib-docbookrestapi
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 openstack-pkg-tools,
 python-all,
 python-docutils,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python-tidylib,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/third-party/sphinxcontrib-docbookrestapi.git
Vcs-Git: https://anonscm.debian.org/git/openstack/third-party/sphinxcontrib-docbookrestapi.git
Homepage: https://pypi.python.org/pypi/sphinxcontrib-docbookrestapi

Package: python-sphinxcontrib.docbookrestapi
Architecture: all
Depends:
 python-tidylib,
 ${misc:Depends},
 ${python:Depends},
Description: generating REST API documentation for http://api.openstack.org
 This extension to Sphinx make it possible to generate REST API documentation
 for the OpenStack API as described in the official API web site at
 http://api.openstack.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-sphinxcontrib.docbookrestapi; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/sphinxcontrib-docbookrestapi sphinxcontrib-docbookrestapi-(.*).tar.gz
